<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MeLOn: melon::kernel::StationaryKernel&lt; T, V &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="MeLOn_only.png"/></td>
  <td id="projectalign">
   <div id="projectname">MeLOn
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('classmelon_1_1kernel_1_1_stationary_kernel.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classmelon_1_1kernel_1_1_stationary_kernel-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">melon::kernel::StationaryKernel&lt; T, V &gt; Class Template Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div></div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="kernel_8h_source.html">kernel.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for melon::kernel::StationaryKernel&lt; T, V &gt;:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classmelon_1_1kernel_1_1_stationary_kernel.png" usemap="#melon::kernel::StationaryKernel_3C_20T_2C_20V_20_3E_map" alt=""/>
  <map id="melon::kernel::StationaryKernel_3C_20T_2C_20V_20_3E_map" name="melon::kernel::StationaryKernel_3C_20T_2C_20V_20_3E_map">
<area href="classmelon_1_1kernel_1_1_kernel.html" title="Abstract parent class for kernel implementations." alt="melon::kernel::Kernel&lt; T, V &gt;" shape="rect" coords="183,0,418,24"/>
<area href="classmelon_1_1kernel_1_1_kernel_r_b_f.html" title="Implementation of Radial Basis Function kernel." alt="melon::kernel::KernelRBF&lt; T, V &gt;" shape="rect" coords="0,112,235,136"/>
<area href="classmelon_1_1kernel_1_1_matern.html" title="Abstract parent class for matern kernels." alt="melon::kernel::Matern&lt; T, V &gt;" shape="rect" coords="367,112,602,136"/>
<area href="classmelon_1_1kernel_1_1_matern12.html" title="Class implementation of Matern12 kernel." alt="melon::kernel::Matern12&lt; T, V &gt;" shape="rect" coords="0,168,235,192"/>
<area href="classmelon_1_1kernel_1_1_matern32.html" title="Class implementation of Matern32 kernel." alt="melon::kernel::Matern32&lt; T, V &gt;" shape="rect" coords="245,168,480,192"/>
<area href="classmelon_1_1kernel_1_1_matern52.html" title="Class implementation of Matern52 kernel." alt="melon::kernel::Matern52&lt; T, V &gt;" shape="rect" coords="490,168,725,192"/>
<area href="classmelon_1_1kernel_1_1_matern_inf.html" title="Class implementation of MaternInf kernel." alt="melon::kernel::MaternInf&lt; T, V &gt;" shape="rect" coords="735,168,970,192"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a566162476b5a4d85bf3433131bc517ae" id="r_a566162476b5a4d85bf3433131bc517ae"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">virtual</a> <a class="el" href="classmelon_1_1kernel_1_1_kernel.html#afc65772b466950a64138b8914d44a0b1">RET</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a566162476b5a4d85bf3433131bc517ae">_quadratic_distance</a> (std::vector&lt; <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a> &gt; <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">x1</a>, std::vector&lt; <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">V</a> &gt; <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">x2</a>)</td></tr>
<tr class="memdesc:a566162476b5a4d85bf3433131bc517ae"><td class="mdescLeft">&#160;</td><td class="mdescRight">Calculates the quadratic distance between two points x1 and x2.  <br /></td></tr>
<tr class="separator:a566162476b5a4d85bf3433131bc517ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae9793199628aa2042e9e546965400db5" id="r_ae9793199628aa2042e9e546965400db5"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">virtual</a> <a class="el" href="classmelon_1_1kernel_1_1_kernel.html#afc65772b466950a64138b8914d44a0b1">RET</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ae9793199628aa2042e9e546965400db5">evaluate_kernel</a> (<a class="el" href="classmelon_1_1kernel_1_1_kernel.html#afc65772b466950a64138b8914d44a0b1">RET</a> <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">distance</a>)=0</td></tr>
<tr class="memdesc:ae9793199628aa2042e9e546965400db5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function for evalualting the kernel for a given distance.  <br /></td></tr>
<tr class="separator:ae9793199628aa2042e9e546965400db5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6879c9fdde3f47097c7316939345cf4e" id="r_a6879c9fdde3f47097c7316939345cf4e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">virtual</a> <a class="el" href="classmelon_1_1kernel_1_1_kernel.html#afc65772b466950a64138b8914d44a0b1">RET</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a6879c9fdde3f47097c7316939345cf4e">calculate_distance</a> (std::vector&lt; <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a> &gt; <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">x1</a>, std::vector&lt; <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">V</a> &gt; <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">x2</a>)=0</td></tr>
<tr class="memdesc:a6879c9fdde3f47097c7316939345cf4e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function for calculating the distance used in the kernel (type of distance used can vary among kernels)  <br /></td></tr>
<tr class="separator:a6879c9fdde3f47097c7316939345cf4e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classmelon_1_1kernel_1_1_kernel"><td colspan="2" onclick="javascript:dynsection.toggleInherit('pub_methods_classmelon_1_1kernel_1_1_kernel')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classmelon_1_1kernel_1_1_kernel.html">melon::kernel::Kernel&lt; T, V &gt;</a></td></tr>
<tr class="memitem:a723ab0686bbb045ff401220d51f72c2a inherit pub_methods_classmelon_1_1kernel_1_1_kernel" id="r_a723ab0686bbb045ff401220d51f72c2a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">virtual</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1kernel_1_1_kernel.html#a723ab0686bbb045ff401220d51f72c2a">~Kernel</a> ()=<a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">default</a></td></tr>
<tr class="memdesc:a723ab0686bbb045ff401220d51f72c2a inherit pub_methods_classmelon_1_1kernel_1_1_kernel"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <br /></td></tr>
<tr class="separator:a723ab0686bbb045ff401220d51f72c2a inherit pub_methods_classmelon_1_1kernel_1_1_kernel"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ec36af697437b1a9b6ff84efb237e14 inherit pub_methods_classmelon_1_1kernel_1_1_kernel" id="r_a8ec36af697437b1a9b6ff84efb237e14"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">virtual</a> <a class="el" href="classmelon_1_1kernel_1_1_kernel.html#afc65772b466950a64138b8914d44a0b1">RET</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1kernel_1_1_kernel.html#a8ec36af697437b1a9b6ff84efb237e14">evaluate_kernel</a> (std::vector&lt; <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a> &gt; <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">x1</a>, std::vector&lt; <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">V</a> &gt; <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">x2</a>)=0</td></tr>
<tr class="memdesc:a8ec36af697437b1a9b6ff84efb237e14 inherit pub_methods_classmelon_1_1kernel_1_1_kernel"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function for evalualting the kernel for the points x1 and x2.  <br /></td></tr>
<tr class="separator:a8ec36af697437b1a9b6ff84efb237e14 inherit pub_methods_classmelon_1_1kernel_1_1_kernel"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="inherited" name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_types_classmelon_1_1kernel_1_1_kernel"><td colspan="2" onclick="javascript:dynsection.toggleInherit('pub_types_classmelon_1_1kernel_1_1_kernel')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classmelon_1_1kernel_1_1_kernel.html">melon::kernel::Kernel&lt; T, V &gt;</a></td></tr>
<tr class="memitem:afc65772b466950a64138b8914d44a0b1 inherit pub_types_classmelon_1_1kernel_1_1_kernel" id="r_afc65772b466950a64138b8914d44a0b1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">using</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1kernel_1_1_kernel.html#afc65772b466950a64138b8914d44a0b1">RET</a> = <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">decltype</a>(std::declval&lt;<a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a>&gt;() + std::declval&lt;<a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">V</a>&gt;())</td></tr>
<tr class="separator:afc65772b466950a64138b8914d44a0b1 inherit pub_types_classmelon_1_1kernel_1_1_kernel"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a566162476b5a4d85bf3433131bc517ae" name="a566162476b5a4d85bf3433131bc517ae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a566162476b5a4d85bf3433131bc517ae">&#9670;&#160;</a></span>_quadratic_distance()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;<a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">typename</a> <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a> , <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">typename</a> <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">V</a> &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">virtual</a> <a class="el" href="classmelon_1_1kernel_1_1_kernel.html#afc65772b466950a64138b8914d44a0b1">RET</a> <a class="el" href="classmelon_1_1kernel_1_1_stationary_kernel.html">melon::kernel::StationaryKernel</a>&lt; <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a>, <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">V</a> &gt;::_quadratic_distance </td>
          <td>(</td>
          <td class="paramtype">std::vector&lt; <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a> &gt;</td>          <td class="paramname"><span class="paramname"><em>x1</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">V</a> &gt;</td>          <td class="paramname"><span class="paramname"><em>x2</em></span>&#160;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Calculates the quadratic distance between two points x1 and x2. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">x1</td><td>is a vector containing the first point</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">x2</td><td>is a vector containing the second point </td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented in <a class="el" href="classmelon_1_1kernel_1_1_matern.html#a23dc40f992932497afc16a00f20f2e77">melon::kernel::Matern&lt; T, V &gt;</a>.</p>

</div>
</div>
<a id="a6879c9fdde3f47097c7316939345cf4e" name="a6879c9fdde3f47097c7316939345cf4e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6879c9fdde3f47097c7316939345cf4e">&#9670;&#160;</a></span>calculate_distance()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;<a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">typename</a> <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a> , <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">typename</a> <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">V</a> &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">virtual</a> <a class="el" href="classmelon_1_1kernel_1_1_kernel.html#afc65772b466950a64138b8914d44a0b1">RET</a> <a class="el" href="classmelon_1_1kernel_1_1_stationary_kernel.html">melon::kernel::StationaryKernel</a>&lt; <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a>, <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">V</a> &gt;::calculate_distance </td>
          <td>(</td>
          <td class="paramtype">std::vector&lt; <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a> &gt;</td>          <td class="paramname"><span class="paramname"><em>x1</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">V</a> &gt;</td>          <td class="paramname"><span class="paramname"><em>x2</em></span>&#160;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Function for calculating the distance used in the kernel (type of distance used can vary among kernels) </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">x1</td><td>is a vector containing the first point</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">x2</td><td>is a vector containing the second point</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>returns the distance used in the kernel </dd></dl>

<p>Implemented in <a class="el" href="classmelon_1_1kernel_1_1_matern12.html#afe39812dc7ba20fbd9dccd36ef0b84cb">melon::kernel::Matern12&lt; T, V &gt;</a>, <a class="el" href="classmelon_1_1kernel_1_1_matern32.html#aa162953dea6b15059836429dbd05607d">melon::kernel::Matern32&lt; T, V &gt;</a>, <a class="el" href="classmelon_1_1kernel_1_1_matern52.html#a0858a9caccf0a87cd283504d80cc5fea">melon::kernel::Matern52&lt; T, V &gt;</a>, <a class="el" href="classmelon_1_1kernel_1_1_matern_inf.html#a4ac55cf3cc87491b112617c987bf69b9">melon::kernel::MaternInf&lt; T, V &gt;</a>, and <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html#a1fb033bbe5a2ed283fcecc2a0a34bb84">melon::kernel::KernelRBF&lt; T, V &gt;</a>.</p>

</div>
</div>
<a id="ae9793199628aa2042e9e546965400db5" name="ae9793199628aa2042e9e546965400db5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae9793199628aa2042e9e546965400db5">&#9670;&#160;</a></span>evaluate_kernel()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;<a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">typename</a> <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a> , <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">typename</a> <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">V</a> &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">virtual</a> <a class="el" href="classmelon_1_1kernel_1_1_kernel.html#afc65772b466950a64138b8914d44a0b1">RET</a> <a class="el" href="classmelon_1_1kernel_1_1_stationary_kernel.html">melon::kernel::StationaryKernel</a>&lt; <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a>, <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">V</a> &gt;::evaluate_kernel </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classmelon_1_1kernel_1_1_kernel.html#afc65772b466950a64138b8914d44a0b1">RET</a></td>          <td class="paramname"><span class="paramname"><em>distance</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Function for evalualting the kernel for a given distance. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">distance</td><td>is a distance between two points for which the kernel is evaluated</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>returns the result of the kernel evaluation </dd></dl>

<p>Implemented in <a class="el" href="classmelon_1_1kernel_1_1_matern12.html#acce6e46b9760039fafc1a6ca06bf0366">melon::kernel::Matern12&lt; T, V &gt;</a>, <a class="el" href="classmelon_1_1kernel_1_1_matern32.html#ac682da6ddca9bf7716c4f8a24a737b42">melon::kernel::Matern32&lt; T, V &gt;</a>, <a class="el" href="classmelon_1_1kernel_1_1_matern52.html#a3f75446eb7f7b7a8dd79fb0c62b0f6c6">melon::kernel::Matern52&lt; T, V &gt;</a>, <a class="el" href="classmelon_1_1kernel_1_1_matern_inf.html#a54d5e99a3e595bf9197bc79ec9e1a27d">melon::kernel::MaternInf&lt; T, V &gt;</a>, and <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html#a8bfc02f818e464515cf4eee385e4451e">melon::kernel::KernelRBF&lt; T, V &gt;</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>C:/Data/Git/MeLOn/common/inc/<a class="el" href="kernel_8h_source.html">kernel.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacemelon.html">melon</a></li><li class="navelem"><a class="el" href="namespacemelon_1_1kernel.html">kernel</a></li><li class="navelem"><a class="el" href="classmelon_1_1kernel_1_1_stationary_kernel.html">StationaryKernel</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0 </li>
  </ul>
</div>
</body>
</html>
